--Thanks to TrackpadUser for the base code and aljowen for the smooth brake glow concept :3
--Created by Inn0centJok3r
--DO NOT USE WITHOUT PERMISSION! ASK ME AT https://www.beamng.com/members/inn0centjok3r.318168/
local M = {}
M.type = "auxiliary"
M.relevantDevice = nil

local htmlTexture = require("htmlTexture")

local brakeglow = nil
local htmlPath = nil

local updateTimer = 0
local updateFPS = 30
local invFPS = 1 / updateFPS 
local brakeGlow_RRR = 0

local function init(jbeamData)
	brakeglow = jbeamData.materialName
	htmlPath = jbeamData.htmlPath
	local width = jbeamData.textureWidth or 256
	local height = jbeamData.textureHeight or 256

	brakeGlow_RRR = 0

	electrics.values.brakeTempRRR = brakeGlow_RRR

    htmlTexture.create(brakeglow, htmlPath, width, height, updateFPS, "automatic")
	htmlTexture.call(brakeglow, "init", brakeGlow_RRR)
end

local function updateGFX(dt)
  updateTimer = updateTimer + dt
  if updateTimer > invFPS then

	if electrics.values.wheelThermals.RRR then
		brakeGlow_RRR = electrics.values.wheelThermals.RRR.brakeSurfaceTemperature or 0
	elseif electrics.values.wheelThermals.RRR1 then
		brakeGlow_RRR = electrics.values.wheelThermals.RRR1.brakeSurfaceTemperature or 0
	end
	electrics.values.brakeTempRRR = brakeGlow_RRR

    htmlTexture.call(brakeglow, "update", brakeGlow_RRR)
    updateTimer = 0
  end
end

M.init = init
M.updateGFX = updateGFX

return M
